"""Configuration of Apps"""

from django.apps import AppConfig
from django.db.models.signals import post_migrate
from articles.db_views import create_view


class ArticlesConfig(AppConfig):
    """Standard config module"""
    name = 'articles'

    def ready(self):
        """Config method if application is ready"""
        post_migrate.connect(create_view, sender=self)
