""" Creator of views in MySQL """
import sys

from django.db import connection


def create_view(**kwargs):
    """ Creates several MySQL-Views """
    # unused kwargs
    _ = kwargs
    print('  (re)creating partition views for Articles...')
    tag_reach_sql = " \
CREATE OR REPLACE VIEW mise_pr.tag_reach AS \
SELECT \
       UUID() as id, \
       t.name as name, \
       YEAR(a.date_of_publication) as year, \
       MONTH(a.date_of_publication) as month, \
       COUNT(a.name) as 'article_count', \
       SUM(a.reach) as 'reach' \
FROM article a \
JOIN articleTag aT2 on a.id = aT2.article_id \
JOIN tag t on t.id = aT2.tag_id \
GROUP BY YEAR(a.date_of_publication), MONTH(a.date_of_publication), t.name"
    tag_article_sql = " \
                     CREATE OR REPLACE VIEW mise_pr.tag_article AS \
    SELECT UUID() as id, t.name as name, a.name as article_name, m.name as medium_name, a.date_of_publication as date_of_publication, a.reach as reach \
    FROM article a, \
     tag t, \
     articleTag artTag, \
     medium m \
    WHERE a.id = artTag.article_id \
    AND t.id = artTag.tag_id \
    AND m.id = a.medium_id"

    with connection.cursor() as cursor:
        # TODO: replace check statement with something more robust
        if 'test' not in sys.argv:
            cursor.execute(tag_reach_sql)
            cursor.execute(tag_article_sql)
        row = cursor.fetchone()
        print('  Done creating partition views.')
    return row
