""" URLs for this module """

from django.urls import path
from articles import views

urlpatterns = [
    path('author', views.AuthorList.as_view()),  # GET
    path('author', views.NewAuthor.as_view()),  # POST -> add new Author
    path('author/<int:pk>', views.AuthorDetail.as_view()),  # GET
    path('author/<int:pk>/events', views.EventsDetail.as_view()),  # GET
    path('event', views.EventList.as_view()),  # GET
    path('event', views.NewEvent.as_view()),  # POST
    path('feedback/<string:string>', views.FeedbackByAuthorMailAddress.as_view()),  # GET
    path('feedback', views.NewFeedback.as_view()),  # POST
    path('feedback/<int:pk>', views.FeedbackByID.as_view()),  # GET
    path('ical', views.UpdateListOfEvents.as_view()),  # GET
    path('newsfeed', views.UpdateListOfEvents.as_view()),  # GET
    # TODO: how to differ get and post?
]
